/**

    Copyright 2007, 2008 Engineering Ingegneria Informatica S.p.A.

    This file is part of Spagic.

    Spagic is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation; either version 3 of the License, or
    any later version.

    Spagic is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
    
**/
package org.spagic.monitoring.message;

import java.util.Set;

import org.spagic.metadb.model.TransitionInstance;

public interface JBIMessageIFace extends MessageIFace {

	public void saveMessageOutForAttachments(TransitionInstance transitionInstance);
	
	/**
	 * Retrieve the attachments for the current transiction
	 */
	public Set<String> getAttachmentNames();

}
